# See https://pre-commit.com for more information
# See https://pre-commit.com/hooks.html for more hooks
repos:
-   repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v4.4.0
    hooks:
      - id: trailing-whitespace
      - id: end-of-file-fixer
      - id: check-yaml
        args:
          - --unsafe
      - id: check-json
      - id: check-toml
      - id: check-xml
      - id: check-added-large-files
      - id: check-executables-have-shebangs
      - id: check-merge-conflict
      - id: check-symlinks
      - id: detect-private-key
      - id: mixed-line-ending
      - id: pretty-format-json
        args:
          - --autofix
          - --no-sort-keys
      - id: debug-statements

-   repo: https://github.com/psf/black
    rev: 23.3.0
    hooks:
      - id: black

-   repo: https://github.com/timothycrosley/isort
    rev: 5.12.0
    hooks:
      - id: isort

-   repo: https://github.com/pycqa/flake8
    rev: 6.0.0
    hooks:
      - id: flake8

    # prettier for all non-js/ts and yaml/json files
-   repo: https://github.com/pre-commit/mirrors-prettier
    rev: "v2.7.1"
    hooks:
      - id: prettier
        exclude: |
          (?x)(
              ^.*.json |
              ^.*.yaml |
              ^.*.yml |
              \.[jt]sx?$
          )
